Bug 480133 - RFE: Custom card sizes and margins
RFE: Custom card sizes and margins
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-business-cards (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 05:25 EST by Sandro Mathys
Modified: 2013-09-09 19:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 03:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for dimensions (1.90 KB, patch)
2009-04-24 09:00 EDT, Ionuț Arțăriși
no flags Details | Diff

  None (edit)
Description Sandro Mathys 2009-01-15 05:25:48 EST
I want to print my Fedora business cards professionally. For this, you have to add some space around your card (i.e. 2mm on all sides in my case). Additionally, this space should not just be white but instead extend the design (i.e. stretch the blue bar on the right side) since cutting isn't that precise and we don't want a white border or something like that.
Comment 1 Ian Weller 2009-01-15 22:26:21 EST
Try the overnightprints template (originally named for use with overnightprints.com). It has a 1/16" margin, which I think is more than you need.

Run the program with "-t overnightprints" to get this template.

Close this if that's fine for you, otherwise make a comment otherwise.
Comment 2 Sandro Mathys 2009-01-16 04:07:36 EST
I've seen the one for overnightprints after I reported this. But actually, it's not enough to have 'more than I need'. Normally, the bleed needs to be exactly the right size or something terrible could happen during printing or cutting - if the printing company allows the wrong sized input at all.

The other problem here (I didn't think about that until after reporting this, too) is: you can't tell the tool what final size the card should have. That's when I noticed the templates.

With templates, it should be easy to create business cards for my need. Unfortunately, I didn't find any instructions on this. Additionally, when I tried to make new svg templates I was then missing those invisible text boxes. I figure that's because I used inkscape and the other templates are created with Adobe Illustrator :/ I tried to copy-paste that svg code but never got it working.
Comment 3 Ian Weller 2009-01-16 16:51:42 EST
These were created with Inkscape; what happened though was I started with content filled in for the blank fields, then created the new template as necessary.

I do want to refactor the templates system into a "insert size and margins here and it'll just work" system. It'll take me a little while to get that working though.
Comment 4 Ionuț Arțăriși 2009-04-24 08:59:11 EDT
Hello.

I made a patch which adds two other arguments: -x and -y for width and height. The problem described here could be solved by using these arguments. This way, one can even create 90x50 cards suitable for Central Europe(our Romanian community will need these for an upcoming event).

You can now do: fedora-bussiness-cards -x 90mm -y 50mm. Many other units can be used, any that can fit into the xml schema (ex. in, cm, px etc.).

I'll attach the patch and you can find the modified templates here: http://mapleoin.fedorapeople.org/business/
Comment 5 Ionuț Arțăriși 2009-04-24 09:00:25 EDT
Created attachment 341161 [details]
patch for dimensions
Comment 6 Ian Weller 2009-04-24 17:37:50 EDT
Hey Ionuț,

Thanks so much! Are you able to use git? If so, please clone my repository, apply your patches, and push your version of the repository to your Fedora People space (instructions at https://fedoraproject.org/wiki/Infrastructure/fedorapeople.org#BETA_git_hosting_support), and let me know that you've pushed it. It would make it a lot easier for me to test and add to the repository since I'm really crammed for time currently.

You're awesome!
Comment 7 Ionuț Arțăriși 2009-04-25 05:03:02 EDT
I was looking for the location of the VCS before, but fedorapeople's git didn't cross my mind. Anyway, I added some info to the wiki page (basically what you just told me) https://fedoraproject.org/wiki/Business_cards#Frequently_Questioned_Answers .

So you can now clone from my fedora-business-cards repo!

I would like to ask you to test my changes before building another package or such. I tested them, but I'm not too sure.

Thanks!
You're pretty awesome yourself!
Comment 8 Bug Zapper 2009-06-09 06:43:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ian Weller 2009-06-17 01:03:19 EDT
I'll be looking at this sometime today, finally.
Comment 10 Ian Weller 2009-06-25 16:08:09 EDT
Or today. :(
Comment 11 Ian Weller 2009-06-25 16:56:05 EDT
Hey Ionuț,

I took a look at your patch and made a couple of changes in the new 'onetemplate' branch on my repo -- basically, just coding standards stuff. You can pull that by doing IAN FILL THIS IN BEFORE YOU HIT COMMIT

However, it doesn't really work as I expected it to. Running `fedora-business-cards -x "4 in" -y "2 in"' returns images that are 13x7 pixels, and `fedora-business-cards -x 360 -y 180' (the earlier measurements converted to pixels at 90dpi, Inkscape's native default) and it just adds half an inch to the blue bar, which isn't exactly what we're looking for here. (I don't know if it worked before and it just hates Inkscape .47 or what.)

Let me know if you have any questions about my wishes for this. :)
Comment 12 Ian Weller 2009-06-25 17:02:07 EDT
(In reply to comment #11)
> can pull that by doing IAN FILL THIS IN BEFORE YOU HIT COMMIT
> 
I suck at life. I didn't even have my branch pushed yet. :)

In your fedora-business-cards/ repository:
  git pull git://fedorapeople.org/home/fedora/ianweller/public_git/fedora-business-cards.git onetemplate

:)
Comment 13 Ionuț Arțăriși 2009-06-27 07:50:01 EDT
Hi Ian!

I'm at FUDCon right now so that's why I took a while to answer.

For the first thing: you just have to use -x "4in" -y "2in" no spaces. That's how inkscape talks. It probably got converted to pixels at 300dpi when you inputed the spaces.

For the second thing: you're right, the blue bar (actually the whole canvas and the blue background) just gets bigger or smaller depending on the width . For my limited use which is -x "90mm" -y "50mm" that works perfectly, since the aspect ratio of Central Europe-style business cards isn't that different from the US (1.8 vs 1.75). So everything should also work when preserving the ratio (like when you add a printing margin).

The only way I can think to avoid that is by getting a converter that can understand all the different measurement units that inkscape knows about (eg in, cm, mm, px, pt, etc.). Or just remove that functionality and use only pixels or something. But that's sort of your decision.
Comment 14 Ian Weller 2009-06-27 11:00:19 EDT
(In reply to comment #13)
> I'm at FUDCon right now so that's why I took a while to answer.
> 
Hope you're enjoying yourself :)

> For the first thing: you just have to use -x "4in" -y "2in" no spaces. That's
> how inkscape talks. It probably got converted to pixels at 300dpi when you
> inputed the spaces.
> 
oh, whoops :P


> For the second thing: you're right, the blue bar (actually the whole canvas and
> the blue background) just gets bigger or smaller depending on the width . For
> my limited use which is -x "90mm" -y "50mm" that works perfectly, since the
> aspect ratio of Central Europe-style business cards isn't that different from
> the US (1.8 vs 1.75). So everything should also work when preserving the ratio
> (like when you add a printing margin).
> 
> The only way I can think to avoid that is by getting a converter that can
> understand all the different measurement units that inkscape knows about (eg
> in, cm, mm, px, pt, etc.). Or just remove that functionality and use only
> pixels or something. But that's sort of your decision.  

I need to give this some serious thought. I'll come up with something and post it here shortly. Are you willing to hack at this? If you are, that's completely and utterly awesome. :)
Comment 15 Ionuț Arțăriși 2009-07-02 09:27:41 EDT
> Are you willing to hack at this?

I can't promise anything as I've a lot of work to do for GSOC/pkgdb right now so don't count on me. But if I get hit by a revolutionary idea, I'll send a patch ;)
Comment 16 Bug Zapper 2010-04-27 08:44:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-07-30 06:35:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Ian Weller 2011-05-11 16:19:17 EDT
Going to work on this for "0.3". The card SVG will be generated on the fly, depending on the size and margins the user would like to use. (Description of this bug has been edited to reflect this.)

Changing back to ASSIGNED (still assigned to me). ETA within the next 1.5 months.
Comment 19 Ian Weller 2012-05-21 18:40:16 EDT
This is in git. Waiting to get some other things done before a release.
Comment 20 Fedora End Of Life 2012-08-16 18:36:57 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Fedora Update System 2013-01-08 01:45:09 EST
fedora-business-cards-1-0.1.beta1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-business-cards-1-0.1.beta1.fc18
Comment 22 Fedora Update System 2013-01-08 01:45:55 EST
fedora-business-cards-1-0.1.beta1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-business-cards-1-0.1.beta1.fc17
Comment 23 Ian Weller 2013-09-09 03:57:56 EDT
Version 1 beta 1 is in F19 now.
Comment 24 Fedora Update System 2013-09-09 19:49:01 EDT
fedora-business-cards-1-0.1.beta1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.